{ ... }:

{
  imports = [
    ./hardware-configuration.nix
  ];

  c3d2 = {
    # deployment.microvmBaseZfsDataset = "tank/storage";
    hq.statistics.enable = true;
    simd.arch = "westmere";
  };

  boot = {
    loader.grub = {
      enable = true;
      version = 2;
      # Define on which hard drive you want to install Grub.
      device = "/dev/disk/by-id/scsi-3600300570140a6102b0acad9825149f2"; # or "nodev" for efi only
    };

    # kernelPackages = config.boot.zfs.package.latestCompatibleLinuxPackages;
    kernelParams = [
      "preempt=none"
      # No server/router runs any untrusted user code
      "mitigations=off"
    ];
    tmpOnTmpfs = true;
    tmpOnTmpfsSize = "80%";
  };

  networking = {
    hostName = "server8";
    hostId = "08080808";
  };

  services = {
    openssh.enable = true;
    smartd.enable = true;
    zfs.autoScrub.enable = true;
  };

  skyflake.nomad.client.meta."c3d2.cpuSpeed" = "3";

  system.stateVersion = "22.11";
}
