_:

{
  imports = [
    ./hardware-configuration.nix
  ];

  c3d2 = {
    deployment.microvmBaseZfsDataset = "tank/storage";
    hq.statistics.enable = true;
    simd.arch = "westmere";
  };

  boot = {
    loader.grub = {
      enable = true;
      version = 2;
      device = "/dev/sdc";
    };

    # kernelPackages = config.boot.zfs.package.latestCompatibleLinuxPackages;
    kernelParams = [
      "preempt=none"
      # No server/router runs any untrusted user code
      "mitigations=off"
    ];
    tmpOnTmpfs = true;
    tmpOnTmpfsSize = "80%";
  };

  networking = {
    hostName = "server9";
    hostId = "09090909";
  };

  # required by libvirtd
  security.polkit.enable = true;

  services = {
    openssh.enable = true;
    smartd.enable = true;
    zfs.autoScrub.enable = true;
  };

  skyflake.nomad.client.meta."c3d2.cpuSpeed" = "3";

  system.stateVersion = "21.11";

  # XXX: enable for zw-ev and poelzi-ha until we find a better solution
  virtualisation.libvirtd = {
    enable = true;
    onShutdown = "shutdown";
  };

}
